Subject: Re: [PATCH net-next RFC v1 0/3] net: sched: refactor qdisc drop reasons into dedicated tracepoint

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 5 Feb 2026 09:48:43 +0100

On 05/02/2026 04.04, Jakub Kicinski wrote:
> On Wed, 04 Feb 2026 18:02:49 +0100 Jesper Dangaard Brouer wrote:
>> RFC: Seeking feedback on this refactoring approach.
>>
>> This series refactors qdisc drop reason handling by introducing a dedicated
>> enum qdisc_drop_reason and trace_qdisc_drop tracepoint, providing qdisc
>> layer drop diagnostics with direct qdisc context visibility.
> 
> I like this!

Awesome, then I will continue in this direction :-)

> It will presumably require existing users to migrate over
> but sooner we do it the fewer users that have to move?

I agree. Existing users will loose some details, but the patchset
results in fallback to SKB_DROP_REASON_QDISC_DROP as a drop reason,
which existing tools/users will still handle.
(The more specific drop reason is now avail via trace_qdisc_drop).

Eric and Toke is this acceptable for your users?

In patch 1/3 I kept the qdisc "name" as part of the enum for FQ and
CAKE. IMHO this should be changed for next patchset, but I offer you the
chance to review and suggest generic naming (else I will choose).

--Jesper